
Redmine - Defect #1558

Commits to SVN show null author

2008-07-01 22:31 - Abdullah Jibaly

Status: Closed Start date: 2008-07-01

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.7.2

Description

Hi,

I setup SVN to handle authentication to subversion as shown below. Everything works great and it authenticates users based on their

membership in a project or not. However, when I commit files to the repository it is showing a null author, not the same user name

that was used to check out. What is going on?

Here's my /etc/httpd/conf.d/subversion.conf:

LoadModule dav_svn_module     modules/mod_dav_svn.so

LoadModule authz_svn_module   modules/mod_authz_svn.so

PerlLoadModule Apache::Authn::Redmine

<Location /repos>

DAV svn

SVNParentPath /var/svn

AuthType Basic

   Authname "Redmine Project Tracking" 

   Require valid-user

 
PerlAccessHandler Apache::Authn::Redmine::access_handler

   PerlAuthenHandler Apache::Authn::Redmine::authen_handler

 
RedmineDSN "DBI:mysql:database=redmine;host=localhost" 

   RedmineDbUser "redmine" 

   RedmineDbPass "Ayoka.Com" 

&lt;/Location&gt;

 I put Redmine.pm in /usr/lib/perl5/site_perl/Apache/Authn/Redmine.pm

History

#1 - 2008-07-01 23:42 - Philippe Lafoucrière

- Target version deleted (0.7.2)

#2 - 2008-07-03 13:45 - Liwiusz Ociepa

Can you write how to reproduce this bug and where do you see that null author (redmine svn browser, svn commandline tool, other svn browser)?

#3 - 2008-07-08 18:55 - Liwiusz Ociepa

- Status changed from New to Closed

Redmine.pm does not set author or any variable used by SVN. It only returns OK when access should be granted or

FORBIDDEN/AUTH_REQUIRED/... otherwise. So this is not bug in Redmine.pm. It may be bug in your svn client/apache/dav_svn. It may be also bug

in your configuration. Follow instructions in your Redmine.pm.
